* admin/nt/dist-build/emacs.nsi: (Uninstall) delete only one version

Previously, the uninstaller would recursively, unconditionally, remove
the parent folder, rather than the sub-folder containing the binaries
corrisponding to the installer.  Now Uninstall will always remove the
files copied during Install and remove (e.g.) "Program Files\Emacs" only
if no other (e.g.)  copies of Emacs (or other files) remain
therein. Additionally, the uninstaller did not remove the Shortcut to
runemacs.exe, preventing deletion of the Start Menu entry. (Bug#56856)
---
 admin/nt/dist-build/emacs.nsi | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

diff --git a/admin/nt/dist-build/emacs.nsi b/admin/nt/dist-build/emacs.nsi
index 557bb106dde..bc9db61b9ae 100644
--- a/admin/nt/dist-build/emacs.nsi
+++ b/admin/nt/dist-build/emacs.nsi
@@ -66,12 +66,16 @@ Section "Uninstall"
   # Always delete uninstaller first
   Delete "$INSTDIR\Uninstall.exe"
 
-  # now delete installed directory
-  RMDir /r "$INSTDIR"
+  # recursively delete directory for this version
+  RMDir /r "$INSTDIR\emacs-${VERSION_BRANCH}"
+
+  # remove the Emacs directory in Program Files (if empty)
   RMDir "$INSTDIR"
 
   !insertmacro MUI_STARTMENU_GETFOLDER Application $StartMenuFolder
 
+  # remove Start Menu Program shortcuts
+  Delete "$SMPROGRAMS\$StartMenuFolder\Emacs.lnk"
   Delete "$SMPROGRAMS\$StartMenuFolder\Uninstall.lnk"
   RMDir "$SMPROGRAMS\$StartMenuFolder"
 SectionEnd
-- 
2.36.1

